## mpd 0.21.1

=== meson_options.txt ===
option('documentation', type: 'boolean', value: false, description: 'Build documentation')

option('test', type: 'boolean', value: false, description: 'Build the unit tests and debug programs')

option('syslog', type: 'feature', description: 'syslog support')
option('inotify', type: 'boolean', value: true, description: 'inotify support (for automatic database update)')

option('daemon', type: 'boolean', value: true, description: 'enable daemonization')
option('systemd', type: 'feature', description: 'systemd support')

option('systemd_system_unit_dir', type: 'string', description: 'systemd system service directory')
option('systemd_user_unit_dir', type: 'string', description: 'systemd user service directory')

#
# Android
#

option('android_sdk', type: 'string', description: 'The path where Android SDK is installed')
option('android_ndk', type: 'string', description: 'The path where Android NDK is installed')
option('android_abi', type: 'string', value: 'armeabi-v7a', description: 'The Android ABI to be built')

option('android_strip', type: 'string', value: 'strip', description: 'The "strip" tool from the NDK')

option('android_debug_keystore', type: 'string', description: 'The keystore file used to sign debug APK files')

option('android_keystore', type: 'string', description: 'The keystore file used to sign APK files')
option('android_keyalias', type: 'string', description: 'The key alias used to sign APK files')
option('android_keypass', type: 'string', description: 'The password of the keystore used to sign APK files')

#
# System call support
#

option('epoll', type: 'boolean', value: true, description: 'Use epoll on Linux')
option('eventfd', type: 'boolean', value: true, description: 'Use eventfd() on Linux')
option('signalfd', type: 'boolean', value: true, description: 'Use signalfd() on Linux')

#
# Network support
#

option('tcp', type: 'boolean', value: true, description: 'Support for clients connecting via TCP')
option('ipv6', type: 'feature', description: 'Support for IPv6')
option('local_socket', type: 'boolean', value: true, description: 'Support for clients connecting via local sockets')

#
# Audio formats
#

option('dsd', type: 'boolean', value: true, description: 'Support the DSD audio format')

#
# Database plugins
#

option('database', type: 'boolean', value: true, description: 'enable support for the music database')
option('upnp', type: 'feature', description: 'UPnP client support')
option('libmpdclient', type: 'feature', description: 'libmpdclient support (for the proxy database plugin)')

#
# Neighbor plugins
#

option('neighbor', type: 'boolean', value: true, description: 'enable support for neighbor discovery')

#
# Storage plugins
#

option('udisks', type: 'feature', description: 'Support for removable media using udisks2')
option('webdav', type: 'feature', description: 'WebDAV support using CURL and Expat')

#
# Playlist plugins
#

option('cue', type: 'boolean', value: true, description: 'CUE sheet support')

#
# Input plugins
#

option('cdio_paranoia', type: 'feature', description: 'libcdio_paranoia input plugin')
option('curl', type: 'feature', description: 'HTTP client using CURL')
option('mms', type: 'feature', description: 'MMS protocol support using libmms')
option('nfs', type: 'feature', description: 'NFS protocol support using libnfs')
option('smbclient', type: 'feature', description: 'SMB support using libsmbclient')

#
# Commercial services
#

option('qobuz', type: 'feature', description: 'Qobuz client')
option('soundcloud', type: 'feature', description: 'SoundCloud client')
option('tidal', type: 'feature', description: 'Tidal client')

#
# Archive plugins
#

option('bzip2', type: 'feature', description: 'bzip2 support using libbz2')
option('iso9660', type: 'feature', description: 'ISO9660 support using libiso9660')
option('zzip', type: 'feature', description: 'ZIP support using zziplib')

#
# Tag plugins
#

option('id3tag', type: 'feature', description: 'ID3 support using libid3tag')
option('chromaprint', type: 'feature', description: 'ChromaPrint / AcoustID support')

#
# Decoder plugins
#

option('adplug', type: 'feature', description: 'AdPlug decoder plugin')
option('audiofile', type: 'feature', description: 'libaudiofile decoder plugin')
option('faad', type: 'feature', description: 'AAC decoder using libfaad')
option('ffmpeg', type: 'feature', description: 'FFmpeg codec support')
option('flac', type: 'feature', description: 'FLAC decoder plugin')
option('fluidsynth', type: 'feature', description: 'fluidsynth MIDI decoder plugin')
option('gme', type: 'feature', description: 'Game Music Emulator decoder plugin')
option('mad', type: 'feature', description: 'MP3 decoder using libmad')
option('mikmod', type: 'feature', description: 'MikMod decoder plugin')
option('modplug', type: 'feature', description: 'Modplug decoder plugin')
option('mpcdec', type: 'feature', description: 'Musepack decoder plugin')
option('mpg123', type: 'feature', description: 'MP3 decoder using libmpg123')
option('opus', type: 'feature', description: 'Opus decoder plugin')
option('sidplay', type: 'feature', description: 'C64 SID support via libsidplayfp or libsidplay2')
option('sndfile', type: 'feature', description: 'libsndfile decoder plugin')
option('vorbis', type: 'feature', description: 'Vorbis decoder plugin')
option('wavpack', type: 'feature', description: 'WavPack decoder plugin')
option('wildmidi', type: 'feature', description: 'WildMidi decoder plugin')

#
# Encoder plugins
#

option('vorbisenc', type: 'feature', description: 'Vorbis encoder plugin')
option('lame', type: 'feature', description: 'LAME MP3 encoder plugin')
option('twolame', type: 'feature', description: 'TwoLAME MP2 encoder plugin')
option('shine', type: 'feature', description: 'shine MP3 encoder plugin')
option('wave_encoder', type: 'boolean', value: true, description: 'PCM wave encoder encoder plugin')

#
# Filter plugins
#

option('libsamplerate', type: 'feature', description: 'libsamplerate resampler')
option('soxr', type: 'feature', description: 'libsoxr resampler')

#
# Output plugins
#

option('alsa', type: 'feature', description: 'ALSA support')
option('ao', type: 'feature', description: 'libao output plugin')
option('fifo', type: 'boolean', value: true, description: 'FIFO output plugin')
option('httpd', type: 'boolean', value: true, description: 'HTTP streaming output plugin')
option('jack', type: 'feature', description: 'JACK output plugin')
option('openal', type: 'feature', description: 'OpenAL output plugin')
option('oss', type: 'feature', description: 'Open Sound System support')
option('pipe', type: 'boolean', value: true, description: 'Pipe output plugin')
option('pulse', type: 'feature', description: 'PulseAudio support')
option('recorder', type: 'boolean', value: true, description: 'Recorder output plugin')
option('shout', type: 'feature', description: 'Shoutcast streaming support using libshout')
option('sndio', type: 'feature', description: 'sndio output plugin')
option('solaris_output', type: 'feature', description: 'Solaris /dev/audio support')

#
# Misc libraries
#

option('dbus', type: 'feature', description: 'D-Bus support')
option('expat', type: 'feature', description: 'Expat XML support')
option('icu', type: 'feature', description: 'Use libicu for Unicode')
option('iconv', type: 'feature', description: 'Use iconv() for character set conversion')
option('libwrap', type: 'feature', description: 'libwrap support')
option('sqlite', type: 'feature', description: 'SQLite database support (for stickers)')
option('yajl', type: 'feature', description: 'libyajl for YAML support')
option('zlib', type: 'feature', description: 'zlib support (for database compression)')

option('zeroconf', type: 'combo',
       choices: ['auto', 'avahi', 'bonjour', 'disabled'],
       value: 'auto',
       description: 'Zeroconf support')

=== debian/changelog ===
mpd (0.21.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - protocol:
      - allow escaping quotes in filter expressions
      - operator "==" never searches substrings in filter expressions
    - decoder:
      - ffmpeg: fix build failure with non-standard FFmpeg installation path
      - flac: fix linker failure when building without FLAC support
    - encoder:
      - vorbis: fix linker failure when building without Vorbis decoder
      - fix build failure on Linux-PowerPC
      - fix build failure on FreeBSD
      - eliminate DLL dependencies on Windows
      - add warning about buggy Boost version 1.67
      - require Meson 0.47.2 because a Meson 0.47.1 bug breaks our build

  * Bump version of Meson B-D.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 10 Nov 2018 16:49:34 -0800

mpd (0.21-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Remove "-dmo" branding.
  * Remove superfluous epoch.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Nov 2018 13:53:49 -0700

mpd-dmo (1:0.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Nov 2018 08:52:17 +0100

mpd-dmo (1:0.20.23-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Oct 2018 07:50:42 +0100

mpd-dmo (1:0.20.22-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Oct 2018 09:06:36 +0200

mpd-dmo (1:0.20.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Aug 2018 08:53:53 +0200

mpd-dmo (1:0.20.20-dmo2) unstable; urgency=medium

  * Rebuild against libnfs12

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Jun 2018 08:07:46 +0200

mpd-dmo (1:0.20.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 May 2018 13:28:15 +0200

mpd-dmo (1:0.20.19-dmo2) unstable; urgency=medium

  * Rebuild against libicu60

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 May 2018 12:18:59 +0200

mpd-dmo (1:0.20.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Apr 2018 12:29:10 +0200

mpd-dmo (1:0.20.18-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Apr 2018 12:28:41 +0200

mpd-dmo (1:0.20.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Feb 2018 09:36:02 +0100

mpd-dmo (1:0.20.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Feb 2018 15:10:15 +0100

mpd-dmo (1:0.20.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Feb 2018 20:26:30 +0100

mpd-dmo (1:0.20.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Jan 2018 08:44:53 +0100

mpd-dmo (1:0.20.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jan 2018 08:20:38 +0100

mpd-dmo (1:0.20.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Dec 2017 08:12:16 +0100

mpd-dmo (1:0.20.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Nov 2017 10:49:27 +0100

mpd-dmo (1:0.20.11-dmo2) unstable; urgency=medium

  * Rebuild against libcdio17

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Nov 2017 17:17:27 +0100

mpd-dmo (1:0.20.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Oct 2017 12:55:54 +0200

mpd-dmo (1:0.20.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Aug 2017 05:07:41 +0200

mpd-dmo (1:0.20.9-dmo2) unstable; urgency=medium

  * Rebuild against libcdio16, libcdio-paranoia2, libcdio-cdda2 and
    libiso9660-10

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Aug 2017 18:43:09 +0200

mpd-dmo (1:0.20.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Jul 2017 15:27:07 +0200

mpd-dmo (1:0.19.21-dmo5) unstable; urgency=medium

  * Build against libnfs11

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jun 2017 13:35:13 +0200

mpd-dmo (1:0.19.21-dmo4) unstable; urgency=medium

  * Don't use debhelper 10 but 9.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Jan 2017 08:55:14 +0100

mpd-dmo (1:0.19.21-dmo3) unstable; urgency=medium

  * Remove previous hack, fixed in systemd 232.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Jan 2017 08:25:34 +0100

mpd-dmo (1:0.19.21-dmo2) unstable; urgency=medium

  * Removed RestrictNamespaces from service files as this setting is part of
    systemd v223 not yet released officially.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Dec 2016 12:43:29 +0100

mpd-dmo (1:0.19.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Dec 2016 17:22:47 +0100

mpd-dmo (1:0.19.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Dec 2016 08:36:21 +0100

mpd-dmo (1:0.19.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Aug 2016 13:41:12 +0200

mpd-dmo (1:0.19.18-dmo2) unstable; urgency=medium

  * Rebuild against libwildmidi2



=== debian/control ===
Source: mpd
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.musicpd.org/
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 11), libao-dev (>= 0.8.3), meson (>= 0.47.2),
 libasound2-dev [linux-any], libaudiofile-dev (>= 0.3), libsoxr-dev,
 libavahi-client-dev, libavahi-glib-dev, libavcodec-dev, libsndfile1-dev,
 libyajl-dev, libsidutils-dev, libmodplug-dev, libcdio-paranoia-dev,
 libfluidsynth-dev, libmpg123-dev, libavformat-dev, libiso9660-dev,
 libcurl4-gnutls-dev, libfaad-dev, xmlto, quilt, libflac-dev (>= 1.1.4),
 libopus-dev, libtwolame-dev, libmpdclient-dev, libgme-dev, libid3tag0-dev,
 libjack-jackd2-dev, libmad0-dev, libmikmod-dev, libmms-dev, libmp3lame-dev,
 libmpcdec-dev, libogg-dev, libpulse-dev, libresid-builder-dev, libexpat-dev,
 libsamplerate0-dev, libshout3-dev, libsystemd-dev [linux-any], libsidplay2-dev,
 libsqlite3-dev, libvorbis-dev [!arm !armel !armeb], libsmbclient-dev,
 libvorbisidec-dev [arm armel armeb], libwavpack-dev, libwildmidi-dev (>= 0.4.0~),
 libwrap0-dev, libzzip-dev, libbz2-dev, libadplug-dev (>= 2.2.1+dfsg3-0.3),
 libopenal-dev, libboost-dev, libicu-dev, libshine-dev, python3-sphinx,
 libupnp-dev | libupnp6-dev, libnfs-dev, libchromaprint-dev,
 libbinio-dev (>= 1.4+dfsg1-4.1), libsidplayfp-dev, libgcrypt-dev

Package: mpd
Architecture: any
Depends: adduser, lsb-base, ${misc:Depends}, ${shlibs:Depends},
         ${sphinxdoc:Depends}
Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio
Breaks: avahi-daemon (<< 0.6.31-3)
Description: Music Player Daemon
 Music Player Daemon (MPD) is a server that allows remote access for playing
 audio files (Ogg-Vorbis, FLAC, MP3, Wave, and AIFF), streams (Ogg-Vorbis,
 MP3) and managing playlists. Gapless playback, buffered output, and
 crossfading support is also included. The design focus is on integrating a
 computer into a stereo system that provides control for music playback over
 a TCP/IP network. The goals are to be easy to install and use, to have
 minimal resource requirements (it has been reported to run fine on a
 Pentium 75), and to remain stable and flexible.
 .
 The daemon is controlled through a client which need not run on the same
 computer mpd runs on. The separate client and server design allows users
 to choose a user interface that best suites their tastes independently of
 the underlying daemon (this package) which actually plays music.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with quilt,sphinxdoc -Smeson

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dsystemd_system_unit_dir=/lib/systemd/system \
	-Dsndio=disabled -Ddocumentation=true

#	exit 1

override_dh_auto_install:
	dh_auto_install

	rm debian/mpd/usr/share/doc/mpd/COPYING
	rm debian/mpd/usr/share/doc/mpd/NEWS

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## mpd 0.21.4

=== meson_options.txt ===
--- 
+++ 
@@ -175,7 +175,7 @@
 option('expat', type: 'feature', description: 'Expat XML support')
 option('icu', type: 'feature', description: 'Use libicu for Unicode')
 option('iconv', type: 'feature', description: 'Use iconv() for character set conversion')
-option('libwrap', type: 'feature', description: 'libwrap support')
+option('pcre', type: 'feature', description: 'Enable regular expression support (using libpcre)')
 option('sqlite', type: 'feature', description: 'SQLite database support (for stickers)')
 option('yajl', type: 'feature', description: 'libyajl for YAML support')
 option('zlib', type: 'feature', description: 'zlib support (for database compression)')

=== debian/changelog ===
mpd (0.21.4-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 11 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 Jan 2019 11:28:02 -0800

mpd (0.21.4-1) unstable; urgency=medium

  * New upstream version 0.21.4
  * Drop libwrap support, removed upstream
  * Bump dh compat to level 12
  * Declare compliance with Debian Policy 4.3.0
  * Add a Pre-Depends for init-system-helpers
  * Upload 0.21 to unstable

 -- Florian Schlichting <fsfs@debian.org>  Sat, 05 Jan 2019 10:55:49 +0100

mpd (0.21.3-1) experimental; urgency=medium

  [ Geoffroy Youri Berret ]
  * debian/watch: switch to 0.21 series
  * New upstream version 0.21.2
  * Drop hurd_pthread.patch, zeroconf-name.patch (applied upstream)
  * Build with meson/python3-sphinx
  * New upstream version 0.21.3
  * Use dh_sphinxdoc for documentation.
  * Add Build-Dependency on libgtest-dev
  * Add tidal/qobuz input plugins (disabled) to mpd.conf

  [ Florian Schlichting ]
  * chromaprint: sort dependency, delete TODO
  * Update debian/mpd.conf according to mpdconf.example
  * Add a Built-Using field for sphinxdoc
  * Delete mentions of removed roar plugin
  * debian/copyright: remove paragraphs relating to autoconf
  * Disable hybrid_dsd decoder plugin, fixing a warning on startup

 -- Florian Schlichting <fsfs@debian.org>  Sun, 16 Dec 2018 22:25:54 +0100

=== debian/control ===
Source: mpd
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders: Florian Schlichting <fsfs@debian.org>
Build-Depends: debhelper (>= 11~),
               meson (>= 0.47.2),
               libadplug-dev,
               libao-dev,
               libasound2-dev  [linux-any],
               libaudiofile-dev,
               libavahi-client-dev,
               libavcodec-dev,
               libavformat-dev,
               libboost-dev,
               libbz2-dev,
               libcdio-paranoia-dev,
               libchromaprint-dev,
               libcppunit-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libexpat1-dev,
               libfaad-dev,
               libflac-dev,
               libfluidsynth-dev,
               libgcrypt20-dev,
               libgme-dev,
               libicu-dev,
               libid3tag0-dev,
               libiso9660-dev,
               libjack-jackd2-dev,
               libmad0-dev,
               libmikmod-dev,
               libmms-dev,
               libmodplug-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libmpdclient-dev,
               libmpg123-dev,
               libnfs-dev,
               libogg-dev,
               libopenal-dev,
               libopus-dev,
               libpcre3-dev,
               libpulse-dev,
               libresid-builder-dev,
               libsamplerate0-dev,
               libshine-dev [arm armel armeb],
               libshout3-dev,
               libsidplayfp-dev,
               libsidutils-dev,
               libsmbclient-dev [!hurd-i386],
               libsndfile1-dev,
               libsoxr-dev,
               libsqlite3-dev,
               libsystemd-dev [linux-any],
               libupnp-dev,
               libvorbis-dev [!arm !armel !armeb],
               libvorbisidec-dev [arm armel armeb],
               libwavpack-dev,
               libwildmidi-dev,
               libyajl-dev,
               libzzip-dev,
# for docs:
               python3-sphinx,
# for tests:
               libgtest-dev
Standards-Version: 4.3.0
Homepage: https://www.musicpd.org/
Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git

Package: mpd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser, lsb-base, ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio
Breaks: avahi-daemon (<< 0.6.31-3)
Built-Using: ${sphinxdoc:Built-Using}
Description: Music Player Daemon
 Music Player Daemon (MPD) is a server that allows remote access for
 playing audio files (Ogg-Vorbis, FLAC, MP3, Wave, and AIFF), streams
 (Ogg-Vorbis, MP3) and managing playlists.  Gapless playback, buffered
 output, and crossfading support is also included.  The design focus is
 on integrating a computer into a stereo system that provides control
 for music playback over a TCP/IP network.  The goals are to be easy to
 install and use, to have minimal resource requirements (it has been
 reported to run fine on a Pentium 75), and to remain stable and
 flexible.
 .
 The daemon is controlled through a client which need not run on the
 same computer mpd runs on.  The separate client and server design
 allows users to choose a user interface that best suites their tastes
 independently of the underlying daemon (this package) which actually
 plays music.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

WITH_SHINE=-Dshine=disabled
ifeq ($(DEB_HOST_ARCH), arm)
WITH_SHINE=-Dshine=enabled
endif
ifeq ($(DEB_HOST_ARCH), armel)
WITH_SHINE=-Dshine=enabled
endif
ifeq ($(DEB_HOST_ARCH), armeb)
WITH_SHINE=-Dshine=enabled
endif

# no systemd and no alsa on non-linux arches
ifeq ($(DEB_HOST_ARCH_OS), linux)
WITH_SYSTEMD=-Dsystemd=enabled -Dsystemd_system_unit_dir=/lib/systemd/system -Dsystemd_user_unit_dir=/usr/lib/systemd/user -Dalsa=enabled
else
WITH_SYSTEMD=-Dsystemd=disabled -Dalsa=disabled
endif

# no smbclient on hurd-i386 (#815441)
ENABLE_SMBCLIENT=-Dsmbclient=enabled
ifeq ($(DEB_HOST_ARCH), hurd-i386)
    ENABLE_SMBCLIENT=-Dsmbclient=disabled
endif


###############################################################
## Define Debian feature set (in configure summary order)
RUN_TESTS=-Dtest=true

# Archive support
ENABLE_ARCHIVES=-Dbzip2=enabled \
		-Diso9660=enabled \
		-Dzlib=enabled \
		-Dzzip=enabled

# Autodiscovery support
ENABLE_AUTODISCOVERY=-Dneighbor=true \
		-Dupnp=enabled \
		-Dzeroconf=avahi

# Client support
ENABLE_CLIENTS=-Dipv6=enabled \
	 	-Dtcp=true \
	 	-Dlocal_socket=true

# Storage support
ENABLE_STORAGE=-Dnfs=enabled \
	 	${ENABLE_SMBCLIENT} \
	 	-Dwebdav=enabled

# File format support
# Note: move vorbis to tremor once build option is back in meson build
ENABLE_FILEFORMATS=-Dfaad=enabled \
		-Dadplug=enabled \
		-Daudiofile=enabled \
		-Dffmpeg=enabled \
		-Dflac=enabled \
		-Dfluidsynth=enabled \
		-Dgme=enabled \
		-Dmad=enabled \
		-Dmikmod=enabled \
		-Dmodplug=enabled \
		-Dmpcdec=enabled \
		-Dmpg123=enabled \
		-Dopus=enabled \
		-Dsidplay=enabled \
		-Dsndfile=enabled \
		-Dwavpack=enabled \
		-Dwildmidi=enabled \
		-Dvorbis=enabled

# Other features
ENABLE_OTHER=-Dcue=true \
		-Ddatabase=true \
		-Dexpat=enabled \
		-Dicu=enabled \
		-Dlibmpdclient=enabled \
		-Dinotify=true \
		-Dsoxr=enabled \
		-Dlibsamplerate=enabled \
		-Dsqlite=enabled \
		-Dsyslog=enabled \
		-Dpcre=enabled

# Metadata support
ENABLE_METADATA=-Did3tag=enabled \
		-Dchromaprint=enabled

# Playback support
# Note: ALSA is in WITH_SYSTEMD
ENABLE_PLAYBACKS=-Dfifo=true \
		-Dsndio=disabled \
		-Drecorder=true \
		-Dhttpd=true \
		-Djack=enabled \
		-Dao=enabled \
		-Doss=enabled \
		-Dopenal=enabled \
		-Dpipe=true \
		-Dpulse=enabled \
		-Dshout=enabled

# Streaming encoder support
# Note: FLAC and Opus enabled under file formats
ENABLE_ENCODERS=-Dlame=enabled \
		-Dvorbisenc=enabled \
		-Dtwolame=disabled \
		-Dwave_encoder=true \

# Streaming support
ENABLE_STREAMING=-Dcdio_paranoia=enabled \
		-Dcurl=enabled \
		-Dsoundcloud=enabled \
		-Dqobuz=enabled \
		-Dtidal=enabled \
		-Dmms=enabled

# Sphinx documentation
ENABLE_DOCUMENTATION=-Ddocumentation=true

###############################################################


export DEB_BUILD_MAINT_OPTIONS = hardening=+all
LDFLAGS += -Wl,--as-needed

%:
	dh $@ --with sphinxdoc

override_dh_auto_configure:
	dh_auto_configure -- $(WITH_SHINE) $(WITH_SYSTEMD) \
		$(RUN_TESTS) \
		$(ENABLE_ARCHIVES) \
		$(ENABLE_AUTODISCOVERY) \
		$(ENABLE_CLIENTS) \
		$(ENABLE_STORAGE) \
		$(ENABLE_FILEFORMATS) \
		$(ENABLE_OTHER) \
		$(ENABLE_METADATA) \
		$(ENABLE_PLAYBACKS) \
		$(ENABLE_ENCODERS) \
		$(ENABLE_STREAMING) \
		$(ENABLE_DOCUMENTATION)

override_dh_installchangelogs:
	dh_installchangelogs NEWS
	rm debian/mpd/usr/share/doc/mpd/COPYING debian/mpd/usr/share/doc/mpd/NEWS debian/mpd/usr/share/doc/mpd/README.md

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## mpd 0.21.5

=== debian/changelog ===
mpd (0.21.5-3) unstable; urgency=medium

  * armel: tremor requires disabling both vorbis and vorbisenc

 -- Florian Schlichting <fsfs@debian.org>  Mon, 25 Feb 2019 21:36:39 +0100

mpd (0.21.5-2) unstable; urgency=medium

  * Drop checks for arm and armeb architectures, these are no longer in use
  * Build-depend on specific version of libvorbisidec-dev that first ships the
    pkgconfig file we need on armel

 -- Florian Schlichting <fsfs@debian.org>  Mon, 25 Feb 2019 08:44:03 +0100

mpd (0.21.5-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * Update copyright

  [ Florian Schlichting ]
  * New upstream version 0.21.5
  * Update copyright years
  * Add missing files to d/copyright
  * Enable tremor on arm/armel/armeb

 -- Florian Schlichting <fsfs@debian.org>  Sat, 23 Feb 2019 15:56:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mpd
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fsfs@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                meson (>= 0.47.2),
                libadplug-dev,
                libao-dev,
@@ -45,7 +44,7 @@
                libpulse-dev,
                libresid-builder-dev,
                libsamplerate0-dev,
-               libshine-dev [arm armel armeb],
+               libshine-dev [armel],
                libshout3-dev,
                libsidplayfp-dev,
                libsidutils-dev,
@@ -55,8 +54,8 @@
                libsqlite3-dev,
                libsystemd-dev [linux-any],
                libupnp-dev,
-               libvorbis-dev [!arm !armel !armeb],
-               libvorbisidec-dev [arm armel armeb],
+               libvorbis-dev [!armel],
+               libvorbisidec-dev (>= 1.2.1+git20180316-3) [armel],
                libwavpack-dev,
                libwildmidi-dev,
                libyajl-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,9 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/architecture.mk
 
-WITH_SHINE=-Dshine=disabled
-ifeq ($(DEB_HOST_ARCH), arm)
-WITH_SHINE=-Dshine=enabled
-endif
+WITH_SHINE_VORBIS_TREMOR=-Dshine=disabled -Dvorbis=enabled -Dvorbisenc=enabled -Dtremor=disabled
 ifeq ($(DEB_HOST_ARCH), armel)
-WITH_SHINE=-Dshine=enabled
-endif
-ifeq ($(DEB_HOST_ARCH), armeb)
-WITH_SHINE=-Dshine=enabled
+WITH_SHINE_VORBIS_TREMOR=-Dshine=enabled -Dvorbis=disabled -Dvorbisenc=disabled -Dtremor=enabled
 endif
 
 # no systemd and no alsa on non-linux arches
@@ -52,7 +46,6 @@
 	 	-Dwebdav=enabled
 
 # File format support
-# Note: move vorbis to tremor once build option is back in meson build
 ENABLE_FILEFORMATS=-Dfaad=enabled \
 		-Dadplug=enabled \
 		-Daudiofile=enabled \
@@ -69,8 +62,7 @@
 		-Dsidplay=enabled \
 		-Dsndfile=enabled \
 		-Dwavpack=enabled \
-		-Dwildmidi=enabled \
-		-Dvorbis=enabled
+		-Dwildmidi=enabled
 
 # Other features
 ENABLE_OTHER=-Dcue=true \
@@ -104,9 +96,8 @@
 		-Dshout=enabled
 
 # Streaming encoder support
-# Note: FLAC and Opus enabled under file formats
+# Note: FLAC and Opus enabled under file formats, vorbisenc at top (!tremor)
 ENABLE_ENCODERS=-Dlame=enabled \
-		-Dvorbisenc=enabled \
 		-Dtwolame=disabled \
 		-Dwave_encoder=true \
 
@@ -131,7 +122,7 @@
 	dh $@ --with sphinxdoc
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(WITH_SHINE) $(WITH_SYSTEMD) \
+	dh_auto_configure -- $(WITH_SHINE_VORBIS_TREMOR) $(WITH_SYSTEMD) \
 		$(RUN_TESTS) \
 		$(ENABLE_ARCHIVES) \
 		$(ENABLE_AUTODISCOVERY) \
@@ -148,6 +139,3 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 	rm debian/mpd/usr/share/doc/mpd/COPYING debian/mpd/usr/share/doc/mpd/NEWS debian/mpd/usr/share/doc/mpd/README.md
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## mpd 0.21.11

=== debian/changelog ===
mpd (0.21.11-1) unstable; urgency=medium

  [ Julien Rabier ]
  * Update mpd.service.documentation.user.patch

  [ Geoffroy Youri Berret ]
  * Fixed deprecated --force option with dpkg-statoverride
  * Remove empty d/mpd.prerm
  * New upstream version 0.21.11
  * Bump meson build dependency to 0.49.0
  * Declare compliance with Debian Policy 4.4.0
  * MPD v0.21.8 fixed ftbfs with GCC-9 (closes: #925783)

  [ Florian Schlichting ]
  * Add some as-installed autopkgtests from Audio::MPD

 -- Florian Schlichting <fsfs@debian.org>  Tue, 16 Jul 2019 21:50:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fsfs@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               meson (>= 0.47.2),
+               meson (>= 0.49.0),
                libadplug-dev,
                libao-dev,
                libasound2-dev  [linux-any],
@@ -64,7 +64,7 @@
                python3-sphinx,
 # for tests:
                libgtest-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
 Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git

## mpd 0.21.13

=== debian/changelog ===
mpd (0.21.13-1build2) focal; urgency=medium

  * No-change rebuild against libadplug-2.3.1-0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 04:54:14 +0000

mpd (0.21.13-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:02:47 +0000

mpd (0.21.13-1) unstable; urgency=medium

  * New upstream version 0.21.13
  * Require libcdio-paranoia 10.2+0.93+1 (in buster)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 15 Aug 2019 16:56:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mpd
 Section: sound
 Priority: optional
-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fsfs@debian.org>
 Build-Depends: debhelper-compat (= 12),
                meson (>= 0.49.0),
@@ -14,7 +15,7 @@
                libavformat-dev,
                libboost-dev,
                libbz2-dev,
-               libcdio-paranoia-dev,
+               libcdio-paranoia-dev (>= 10.2+0.93+1),
                libchromaprint-dev,
                libcppunit-dev,
                libcurl4-gnutls-dev | libcurl-dev,

## mpd 0.21.15

=== debian/changelog ===
mpd (0.21.15-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Oct 2019 14:07:25 -0700

=== debian/rules ===
--- 
+++ 
@@ -139,3 +139,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 	rm debian/mpd/usr/share/doc/mpd/COPYING debian/mpd/usr/share/doc/mpd/NEWS debian/mpd/usr/share/doc/mpd/README.md
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## mpd 0.21.16

=== debian/changelog ===
mpd (0.21.16-1build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:03:29 +0100

mpd (0.21.16-1build2) focal; urgency=high

  * No change rebuild libnfs 4.0.0

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 21 Jan 2020 12:05:28 +0100

mpd (0.21.16-1build1) focal; urgency=medium

  * Rebuild against new libfluidsynth2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Dec 2019 12:19:15 +0100

mpd (0.21.16-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * New upstream version 0.21.16 (closes: #939052)
  * Remove useless Build-Dep on libcppunit
  * Enable sndio output plugin

  [ Florian Schlichting ]
  * Declare compliance with Debian Policy 4.4.1

 -- Florian Schlichting <fsfs@debian.org>  Thu, 07 Nov 2019 18:52:09 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: mpd
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fsfs@debian.org>
 Build-Depends: debhelper-compat (= 12),
                meson (>= 0.49.0),
+               libsndio-dev,
                libadplug-dev,
                libao-dev,
                libasound2-dev  [linux-any],
@@ -17,7 +17,6 @@
                libbz2-dev,
                libcdio-paranoia-dev (>= 10.2+0.93+1),
                libchromaprint-dev,
-               libcppunit-dev,
                libcurl4-gnutls-dev | libcurl-dev,
                libexpat1-dev,
                libfaad-dev,
@@ -65,7 +64,7 @@
                python3-sphinx,
 # for tests:
                libgtest-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
 Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git

## mpd 0.21.20

=== meson_options.txt ===
--- 
+++ 
@@ -128,6 +128,7 @@
 option('opus', type: 'feature', description: 'Opus decoder plugin')
 option('sidplay', type: 'feature', description: 'C64 SID support via libsidplayfp or libsidplay2')
 option('sndfile', type: 'feature', description: 'libsndfile decoder plugin')
+option('tremor', type: 'feature', description: 'Fixed-point vorbis decoder plugin')
 option('vorbis', type: 'feature', description: 'Vorbis decoder plugin')
 option('wavpack', type: 'feature', description: 'WavPack decoder plugin')
 option('wildmidi', type: 'feature', description: 'WildMidi decoder plugin')

=== debian/changelog ===
mpd (0.21.20-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:34:30 +0100

mpd (0.21.20-1) unstable; urgency=medium

  * New upstream version 0.21.20
  * Update d/copyright for renamed files
  * Declare compliance with Debian Policy 4.5.0
  * Drop a Breaks satisfied in oldoldstable

 -- Florian Schlichting <fsfs@debian.org>  Mon, 17 Feb 2020 22:14:51 +0100

=== debian/control ===
--- 
+++ 
@@ -64,7 +64,7 @@
                python3-sphinx,
 # for tests:
                libgtest-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
 Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git
@@ -74,7 +74,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser, lsb-base, ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
 Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio
-Breaks: avahi-daemon (<< 0.6.31-3)
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Music Player Daemon
  Music Player Daemon (MPD) is a server that allows remote access for

=== debian/rules ===
--- 
+++ 
@@ -84,7 +84,7 @@
 # Playback support
 # Note: ALSA is in WITH_SYSTEMD
 ENABLE_PLAYBACKS=-Dfifo=true \
-		-Dsndio=disabled \
+		-Dsndio=enabled \
 		-Drecorder=true \
 		-Dhttpd=true \
 		-Djack=enabled \
@@ -139,6 +139,3 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 	rm debian/mpd/usr/share/doc/mpd/COPYING debian/mpd/usr/share/doc/mpd/NEWS debian/mpd/usr/share/doc/mpd/README.md
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
https://www.musicpd.org/download/mpd/0.21/mpd-([0-9.]*).tar.xz

## mpd 0.21.22

=== debian/changelog ===
mpd (0.21.22-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 21 Apr 2020 17:51:19 -0700

mpd (0.21.22-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * New upstream version 0.21.22
  * Update d/copyright

  [ Florian Schlichting ]
  * Update d/copyright for new files with a non-default license
  * Add basic upstream metadata
  * Enable root-less package build

 -- Florian Schlichting <fsfs@debian.org>  Sun, 19 Apr 2020 12:14:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -139,3 +139,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 	rm debian/mpd/usr/share/doc/mpd/COPYING debian/mpd/usr/share/doc/mpd/NEWS debian/mpd/usr/share/doc/mpd/README.md
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## mpd 0.21.26

=== debian/changelog ===
mpd (0.21.26-1build1) hirsute; urgency=medium

  * No-change rebuild for libsidplayfp soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Nov 2020 11:37:57 +0100

mpd (0.21.26-1) unstable; urgency=medium

  * New upstream version 0.21.26
  * Update d/copyright (add apple library, move  ByteOrder.hxx)
  * Bump dh compat to level 13
  * Drop explicit -Wl,--as-needed, which is now the default
  * (Actually) ship upstream's mpdconf.example in docs
  * Do not enable systemd user units by default (closes: #959693)

 -- Florian Schlichting <fsfs@debian.org>  Fri, 25 Sep 2020 00:14:52 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fsfs@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                meson (>= 0.49.0),
                libsndio-dev,
                libadplug-dev,
@@ -68,6 +68,7 @@
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
 Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git
+Rules-Requires-Root: no
 
 Package: mpd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -116,7 +116,6 @@
 
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-LDFLAGS += -Wl,--as-needed
 
 %:
 	dh $@ --with sphinxdoc
@@ -140,5 +139,5 @@
 	dh_installchangelogs NEWS
 	rm debian/mpd/usr/share/doc/mpd/COPYING debian/mpd/usr/share/doc/mpd/NEWS debian/mpd/usr/share/doc/mpd/README.md
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+override_dh_installsystemduser:
+	dh_installsystemduser --no-enable

## mpd 0.22.3

=== debian/changelog ===
mpd (0.22.3-1) unstable; urgency=medium

  [ Florian Schlichting ]
  * New upstream version 0.22
  * Upstream doc build now also installs manpages
  * Enable io_uring support on linux
  * Require libupnp version 1.8 or newer
  * Update d/copyright for new/moved/deleted files

  [ Geoffroy Youri Berret ]
  * Rename WITH_SYSTEMD WITH_LINUX in d/rules
  * Update copyright

  [ Florian Schlichting ]
  * Rewrite README.Debian to explain desktop sessions with pulseaudio in more
    detail (closes: #958179)
  * Stop installing mpd.desktop
  * Delete NEWS.Debian, it is over a decade old and no longer news
  * Bump d/watch to version 4
  * Declare compliance with Debian Policy 4.5.1
  * Restructure d/copyright based on the output of scan-copyrights
  * New upstream version 0.22.3

 -- Florian Schlichting <fsfs@debian.org>  Tue, 24 Nov 2020 22:41:15 +0800

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,11 @@
 WITH_SHINE_VORBIS_TREMOR=-Dshine=enabled -Dvorbis=disabled -Dvorbisenc=disabled -Dtremor=enabled
 endif
 
-# no systemd and no alsa on non-linux arches
+# systemd, alsa and io_uring on linux arches only
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-WITH_SYSTEMD=-Dsystemd=enabled -Dsystemd_system_unit_dir=/lib/systemd/system -Dsystemd_user_unit_dir=/usr/lib/systemd/user -Dalsa=enabled
+WITH_LINUX=-Dsystemd=enabled -Dsystemd_system_unit_dir=/lib/systemd/system -Dsystemd_user_unit_dir=/usr/lib/systemd/user -Dalsa=enabled -Dio_uring=enabled
 else
-WITH_SYSTEMD=-Dsystemd=disabled -Dalsa=disabled
+WITH_LINUX=-Dsystemd=disabled -Dalsa=disabled -Dio_uring=disabled
 endif
 
 # no smbclient on hurd-i386 (#815441)
@@ -82,7 +82,7 @@
 		-Dchromaprint=enabled
 
 # Playback support
-# Note: ALSA is in WITH_SYSTEMD
+# Note: ALSA is in WITH_LINUX
 ENABLE_PLAYBACKS=-Dfifo=true \
 		-Dsndio=enabled \
 		-Drecorder=true \
@@ -110,7 +110,7 @@
 		-Dmms=enabled
 
 # Sphinx documentation
-ENABLE_DOCUMENTATION=-Ddocumentation=true
+ENABLE_DOCUMENTATION=-Ddocumentation=enabled
 
 ###############################################################
 
@@ -121,7 +121,7 @@
 	dh $@ --with sphinxdoc
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(WITH_SHINE_VORBIS_TREMOR) $(WITH_SYSTEMD) \
+	dh_auto_configure -- $(WITH_SHINE_VORBIS_TREMOR) $(WITH_LINUX) \
 		$(RUN_TESTS) \
 		$(ENABLE_ARCHIVES) \
 		$(ENABLE_AUTODISCOVERY) \

## mpd 0.22.4

=== debian/changelog ===
mpd (0.22.4-1.0antix2) unstable; urgency=medium

  * antiX sid/testing/bullseye build 

 -- anticapitalista <antix@operamail.com>  Sun, 24 Jan 2021 13:42:04 +0200

mpd (0.22.4-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * Enable explicitly yajl in d/rules
  * Disable decoder/wildmidi in default conf
  * Fixed obsolete run/mpd/ location in debian/mpd.postrm
  * New upstream version 0.22.4
  * Update copyright years
  * Update debian/mpd.conf

  [ Florian Schlichting ]
  * d//mpd.conf: fix a typo and another three whitespace differences from
    doc/mpdconf.example

 -- Florian Schlichting <fsfs@debian.org>  Fri, 22 Jan 2021 23:49:50 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fsfs@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                meson (>= 0.49.0),
                libsndio-dev,
                libadplug-dev,
@@ -52,8 +52,9 @@
                libsndfile1-dev,
                libsoxr-dev,
                libsqlite3-dev,
-               libsystemd-dev [linux-any],
-               libupnp-dev,
+               libelogind-dev [linux-any],
+               libupnp-dev (>= 1.8~),
+               liburing-dev [linux-any],
                libvorbis-dev [!armel],
                libvorbisidec-dev (>= 1.2.1+git20180316-3) [armel],
                libwavpack-dev,
@@ -64,7 +65,7 @@
                python3-sphinx,
 # for tests:
                libgtest-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
 Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # systemd, alsa and io_uring on linux arches only
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-WITH_LINUX=-Dsystemd=enabled -Dsystemd_system_unit_dir=/lib/systemd/system -Dsystemd_user_unit_dir=/usr/lib/systemd/user -Dalsa=enabled -Dio_uring=enabled
+WITH_LINUX=-Dsystemd=disabled -Dalsa=enabled -Dio_uring=enabled
 else
 WITH_LINUX=-Dsystemd=disabled -Dalsa=disabled -Dio_uring=disabled
 endif
@@ -75,6 +75,7 @@
 		-Dlibsamplerate=enabled \
 		-Dsqlite=enabled \
 		-Dsyslog=enabled \
+		-Dyajl=enabled \
 		-Dpcre=enabled
 
 # Metadata support
